Soporte » Instalación – Actualizaciones » Miedo a actualizar despues de mucho tiempo

  • Resuelto soydiego

    (@soydiego)


    Hola buenas noches, tengo una web de un cliente realizada con WordPress hace un año atrás. Dicha web obviamente usa algunos plugins y themes que están completamente desactualizados.

    A día de hoy, la web tiene clientes registrados (unos 100) donde cada uno tiene info específica (Uso el plugin WP Customer Area). Me gustaria actualizar todo, plugins + themes pero me asusta que los plugins o cosas que ahora funcionan perfectamente fallen y dañen la web.

    Sobre todo me preocupa el hecho de actualizar de WordPress 4.x que es la que tengo ahora a 5.1, e incluso he leido que justamente el plugin WP Customer Area dice «Compatibilidad con WordPress 5.1: Desconocida».

    Hay alguna forma de poder actualizar y si falla algo volver atrás? Algún plugin?
    O cual sería la mejor forma de actualizar y si falla algo, recuperar sin sobresaltos.

    Siempre estoy con esta duda de si actualizo Elementor, WordPress, etc… que mis webs se destruyan y temo siempre a actualizaciones ya que son webs de clientes.

    Perdón si la duda es muy novata y tonta, espero que puedan orientarme.

    Saludos y gracias!

Viendo 6 respuestas - 1 de 6 (de 6 total)
  • Moderador almendron

    (@almendron)

    La única forma de estar seguro al 99% de que el sitio seguirá funcionando es el siguiente:

    1) Copia de seguridad de las webs de los clientes con plugins como Duplicator.

    2) Instalación en local y comprobación.

    Por otra parte, debes ir a la página de cada plugin para obtener más detalles sobre su compatibilidad. Tomemos por ejemplo el plugin que mencionas: https://es.wordpress.org/plugins/customer-area/

    Puedes ver que se ha probado hasta la versión 5.0 así que las probabilidades de que funcione con versiones «menores» es alta.
    Y luego te vas a la sección «Soporte» y allí podrás también encontrar pistas sobre su posible funcionamiento.

    Gracias @almendron siempre por responder.
    Tienes razón probaré primero en local y luego chequearé que todo funcione.
    Aunque como bien dijiste ese plugin dudo que funcione si solo dice su web hasta la versión 5.0.

    Siempre asi de complicado es esto de los plugins? Que sucede si en algún momento no se actualiza más algún plugin? O si WordPress pero el plugin dice que no esta probado en esa nueva versión de WordPress? debo dejar de actualizar la web?

    Espero que se haya entendido a pregunta, gracias nuevamente!

    Moderador almendron

    (@almendron)

    Al revés. Si dice que está probado en la 5.0, lo normal es que funcione en la 5.1 porque ésta es una versión «menor». Y no lo dice «su web» sino el repositorio de WordPress.

    A la pregunta que formulas: depende del plugin. No hay una sola respuesta.

    En todo caso, si la actualización de un plugin ocasiona algún problema, siempre puedes volver a la versión anterior. Basta con acceder vía FTP, borrar la carpeta del plugin y subir la de la versión que te funcionaba.

    Lo dicho. Comprueba en local y después, si todo va bien, actualiza.

    @almendron, no entendi lo que explicaste.
    Yo entendi que si dice que funciona hasta la 5.0, la 5.1 que es SUPERIOR no está testeado allí. O que parte estoy entendiendo mal? Lo siento por repreguntar.

    Por otro lado te agradezco que he hecho todas las pruebas en local con Duplicator, y todo funciona correctamente así que puedo actualizar todo estando tranquilo. A partir de ahora siempre antes de actualizar pasaré todo a local y listo.

    Nuevamente gracias por responder!

    Moderador almendron

    (@almendron)

    A ver. Hay dos tipos de actualizaciones:
    1) Mayores: de la 4.x a la 5.0
    2) Menores: de la 5.0 a la 5.1

    Las menores no suelen traer grandes modificaciones. Suelen ser de mantenimiento, es decir, van solucionando problemas o errores.

    Por tanto, un plugin que funcione en la versión 5.0 no tiene por qué ir mal en la 5.1 (actualización menor). Tiene más probabilidades de fallar si pasamos, por ejemplo, de la 4.9 a la 5.0 (actualización mayor).

    En todo caso, son solo reglas generales. Lo mejor es comprobar en local.

    Gracias @almendron

Viendo 6 respuestas - 1 de 6 (de 6 total)
  • El debate ‘Miedo a actualizar despues de mucho tiempo’ está cerrado a nuevas respuestas.